unit ucallingexample;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TfCallingExample = class(TForm)
    lPort: TLabel;
    ePort: TEdit;
    tbChannel: TTrackBar;
    lChannel: TLabel;
    lChannel1: TLabel;
    lChannel50: TLabel;
    lValue: TLabel;
    tbValue: TTrackBar;
    lChannel0: TLabel;
    lChannel255: TLabel;
    lChannelCurrent: TLabel;
    lValueCurrent: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fCallingExample: TfCallingExample;

implementation

{$R *.dfm}

uses
  uadvdmxheader;

const
  BASE = $378;

procedure TfCallingExample.FormCreate(Sender: TObject);
begin
  parInit;
  // make sure that the interface is ready to accept a command
  resync(StrToInt(ePort.Text));
  // make sure that DMX output is enabled
  enableOutput(StrToInt(ePort.Text));
end;

procedure TfCallingExample.FormDestroy(Sender: TObject);
begin
  // job finished, so make sure that the interface will be able to
  // work in compatibility mode again
  finish(StrToInt(ePort.Text));
  // as we changed the output enabled setting, make sure to restore
  // the user's preferred setting
  readEEPROM(StrToInt(ePort.Text));
  parFinish;
end;

procedure TfCallingExample.Change(Sender: TObject);
begin
  lChannelCurrent.Caption := IntToStr(tbChannel.Position);
  lValueCurrent.Caption   := IntToStr(tbValue.Position);
  // set selected channel to selected value
  output(StrToInt(ePort.Text), tbChannel.Position - 1, tbValue.Position);
end;

end.
